Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nortel.soa.oi.cct.types
Enum PresenceActivity

    java.lang.Object
      java.lang.Enum<PresenceActivity>
          com.nortel.soa.oi.cct.types.PresenceActivity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PresenceActivity>

    public enum PresenceActivity

extends java.lang.Enum<PresenceActivity>

Java class for presenceActivity.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="presenceActivity">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="None"/>
         <enumeration value="AVAILABLE"/>
         <enumeration value="ON_THE_PHONE"/>
         <enumeration value="MEAL"/>
         <enumeration value="AWAY"/>
         <enumeration value="HOLIDAY"/>
         <enumeration value="PERM_ABSENCE"/>
         <enumeration value="DO_NOT_DISTURB"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`AVAILABLE`
`AWAY`
`DO_NOT_DISTURB`
`HOLIDAY`
`MEAL`
`NONE`
`ON_THE_PHONE`
`PERM_ABSENCE`

Method Summary
`static PresenceActivity` | `fromValue(java.lang.String v)`
`java.lang.String` | `value()`
`static PresenceActivity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PresenceActivity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final PresenceActivity NONE

### AVAILABLE

    public static final PresenceActivity AVAILABLE

### ON_THE_PHONE

    public static final PresenceActivity ON_THE_PHONE

### MEAL

    public static final PresenceActivity MEAL

### AWAY

    public static final PresenceActivity AWAY

### HOLIDAY

    public static final PresenceActivity HOLIDAY

### PERM_ABSENCE

    public static final PresenceActivity PERM_ABSENCE

### DO_NOT_DISTURB

    public static final PresenceActivity DO_NOT_DISTURB

Method Detail

### values

    public static PresenceActivity[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PresenceActivity c : PresenceActivity.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PresenceActivity valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    public java.lang.String value()

### fromValue

    public static PresenceActivity fromValue(java.lang.String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 All Rights Reserved.